Bug 920783 - (CVE-2013-1848) CVE-2013-1848 kernel: ext3: format string issues
CVE-2013-1848 kernel: ext3: format string issues
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130318,reported=2...
: Security
Depends On: 920784 920785 920786 920787 965715 965716
Blocks: 920790
  Show dependency treegraph
 
Reported: 2013-03-12 13:57 EDT by Petr Matousek
Modified: 2015-02-16 10:43 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-24 09:24:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-03-12 13:57:49 EDT
ext3_msg() takes the printk prefix as the second parameter and the format string as the third parameter. Two callers of ext3_msg omit the prefix and pass the format string as the second parameter and the first parameter to the format string as the third parameter. In both cases this string comes from an arbitrary source.

An user able to mount ext3 filesystems could use this flaw to crash the system or, potentially, increase their privileges.

Upstream fix:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=8d0c2d10dd72c5292eda7a06231056a4c972e4cc
Comment 1 Petr Matousek 2013-03-12 13:59:51 EDT
Statement:

This issue did not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5 because it did not backport the commit 4cf46b67eb that introduced this issue.

This issue affects the version of Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2 may address this issue.
Comment 4 errata-xmlrpc 2013-05-20 12:52:00 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html
Comment 6 errata-xmlrpc 2013-06-11 13:41:06 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.3 EUS - Server Only

Via RHSA-2013:0928 https://rhn.redhat.com/errata/RHSA-2013-0928.html
Comment 7 errata-xmlrpc 2013-07-09 11:06:55 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 EUS - Server Only

Via RHSA-2013:1026 https://rhn.redhat.com/errata/RHSA-2013-1026.html
Comment 8 errata-xmlrpc 2013-07-16 13:28:13 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1080 https://rhn.redhat.com/errata/RHSA-2013-1080.html
Comment 9 errata-xmlrpc 2013-07-16 14:24:41 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1051 https://rhn.redhat.com/errata/RHSA-2013-1051.html

Note You need to log in before you can comment on or make changes to this bug.